﻿// Copyright 2011 L'Express de Toronto Inc.
// June 2, 2011
// Written by Kasyan Servetsky
// http://www.kasyan.ho.com.ua
// e-mail: askoldich@yahoo.com
//==================================================================
if (app.documents.length == 0) ErrorExit("Please open a document and try again.");

var gScriptName = "Apply space before";
var gScriptVersion = "1.0";
var doc = app.activeDocument;
var sel = doc.selection[0];
if (doc.selection.length != 1) ErrorExit("One text frame or some text should be selected, or the cursor should be inserted into the text.");
var spaceAmount = "0.0693 in";

if (sel.constructor.name == "Paragraph") { // a paragraph is selected
	sel.spaceBefore = spaceAmount;
}
else if (sel.constructor.name == "TextFrame") { // a text frame is selected
	ProcessSelection(sel);
}
else if (sel.constructor.name == "Character" || // some text is selected 
	sel.constructor.name == "Word" ||
	sel.constructor.name == "TextStyleRange" ||
	sel.constructor.name == "Line" ||
	sel.constructor.name == "TextColumn" ||
	sel.constructor.name == "Text")
	{
		ProcessSelection(sel);
	}
else {
	ErrorExit("One text frame or some text should be selected.");
}

//===================================== FUNCTIONS  ======================================
function ErrorExit(error, icon) {
	alert(error, gScriptName + " - " + gScriptVersion, icon);
	exit();
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------
function ProcessSelection(sel) {
	var i, par;
	if (sel.paragraphs.length > 0) {
		for (i = 0; i < sel.paragraphs.length; i++) {
			par = sel.paragraphs[i];
			par.spaceBefore = spaceAmount;
		}
	}
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------